AllCops:
  NewCops: enable
  TargetRubyVersion: 3.2

require:
  - rubocop-rspec

# These are all good to have but a bit noisy for a small PoC like this
Metrics/AbcSize:
  Enabled: false

Metrics/BlockLength:
  Enabled: false

Metrics/CyclomaticComplexity:
  Enabled: false

Metrics/MethodLength:
  Enabled: false

Metrics/PerceivedComplexity:
  Enabled: false

Layout/LineLength:
  Enabled: false

Style/Documentation:
  Enabled: false

Metrics/ClassLength:
  Enabled: false

# Customizations

RSpec/ExampleLength:
  CountAsOne: ['array', 'hash', 'heredoc', 'method_call']

RSpec/MultipleMemoizedHelpers:
  Enabled: false
